import { B as BoxProps } from '../Text-DNZ3-pK9.js';
export { a as Box, b as Heading, H as HeadingProps, c as Text, T as TextProps } from '../Text-DNZ3-pK9.js';
import { ComponentWithAs } from '@paalan/react-shared/types';
import React__default, { ReactNode } from 'react';
import * as class_variance_authority_types from 'class-variance-authority/types';
import { VariantProps } from 'class-variance-authority';

interface CenterProps extends BoxProps {
    children: ReactNode;
}
declare const Center: ComponentWithAs<'div', CenterProps>;

interface ContainerProps extends BoxProps {
    children: ReactNode;
}
declare const Container: ComponentWithAs<'div', ContainerProps>;

interface FlexProps extends BoxProps {
    children: ReactNode;
}
declare const Flex: ComponentWithAs<'div', FlexProps>;

interface GridProps extends BoxProps {
    children: ReactNode;
}
declare const Grid: ComponentWithAs<'div', GridProps>;
interface GridItemProps extends BoxProps {
    children?: ReactNode;
}
declare const GridItem: ComponentWithAs<"div", GridItemProps>;

interface HStackProps extends BoxProps {
    children: ReactNode;
}
declare const HStack: ComponentWithAs<'div', HStackProps>;

declare const paperVariants: (props?: ({
    shadow?: "none" | "sm" | "md" | "lg" | "xl" | "2xl" | "default" | "inner" | null | undefined;
} & class_variance_authority_types.ClassProp) | undefined) => string;
interface PaperProps extends BoxProps, VariantProps<typeof paperVariants> {
    /**
     * If true, the paper will have a border
     */
    withBorder?: boolean;
    /**
     * The shadow of the paper
     * @default 'default'
     */
    shadow?: VariantProps<typeof paperVariants>['shadow'];
}
declare const Paper: ComponentWithAs<'div', PaperProps>;

interface PortalProps extends React__default.ComponentPropsWithoutRef<'div'> {
    /** Portal children, for example, custom modal or popover */
    children: React__default.ReactNode;
    /** Element inside which portal should be created, by default a new div element is created and appended to the `document.body` */
    target?: HTMLElement | string;
}
declare const Portal: React__default.ForwardRefExoticComponent<PortalProps & React__default.RefAttributes<HTMLDivElement>>;

interface StackProps extends BoxProps {
    children: ReactNode;
    /**
     * The direction of the stack. Defaults to `column`.
     * @default column
     */
    direction?: 'row' | 'column';
}
declare const Stack: ComponentWithAs<'div', StackProps>;

declare const H1: ComponentWithAs<'h1', BoxProps>;
declare const H2: ComponentWithAs<'h2', BoxProps>;
declare const H3: ComponentWithAs<'h3', BoxProps>;
declare const H4: ComponentWithAs<'h4', BoxProps>;
declare const H5: ComponentWithAs<'h5', BoxProps>;
declare const H6: ComponentWithAs<'h6', BoxProps>;
declare const P: ComponentWithAs<'p', BoxProps>;
declare const BlockQuote: ComponentWithAs<'blockquote', BoxProps>;
declare const TableLayout: ComponentWithAs<'table', BoxProps>;
declare const THead: ComponentWithAs<'thead', BoxProps>;
declare const TBody: ComponentWithAs<'tbody', BoxProps>;
declare const TR: ComponentWithAs<'tr', BoxProps>;
declare const TD: ComponentWithAs<'td', BoxProps>;
declare const TH: ComponentWithAs<'th', BoxProps>;
declare const UL: ComponentWithAs<'ul', BoxProps & {
    unstyled?: boolean;
}>;
declare const OL: ComponentWithAs<'ol', BoxProps & {
    unstyled?: boolean;
}>;
declare const LI: ComponentWithAs<'li', BoxProps>;
declare const Code: ComponentWithAs<'code', BoxProps>;
declare const Lead: ComponentWithAs<'p', BoxProps>;
declare const Large: ComponentWithAs<'div', BoxProps>;
declare const Small: ComponentWithAs<'small', BoxProps>;
declare const Subtle: ComponentWithAs<'p', BoxProps>;
declare const Strong: ComponentWithAs<'strong', BoxProps>;

interface VStackProps extends BoxProps {
    children: ReactNode;
}
declare const VStack: ComponentWithAs<'div', VStackProps>;

interface WrapProps extends BoxProps {
    children: ReactNode;
}
declare const Wrap: ComponentWithAs<'div', WrapProps>;
interface WrapItemProps extends WrapProps {
}
declare const WrapItem: ComponentWithAs<"div", WrapItemProps>;

export { BlockQuote, BoxProps, Center, type CenterProps, Code, Container, type ContainerProps, Flex, type FlexProps, Grid, GridItem, type GridItemProps, type GridProps, H1, H2, H3, H4, H5, H6, HStack, type HStackProps, LI, Large, Lead, OL, P, Paper, Portal, type PortalProps, Small, Stack, type StackProps, Strong, Subtle, TBody, TD, TH, THead, TR, TableLayout, UL, VStack, type VStackProps, Wrap, WrapItem, type WrapProps };
